<?php

namespace Youssef\Newcm\Repositories\Eloquent;

use Youssef\Newcm\Interfaces\CategoryRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class CategoryRepository extends BaseRepository implements CategoryRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('youssef.newcm.category.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('youssef.newcm.category.model.model');
    }
}
